Subject: [bug#70178] Request for merging "mesa-updates" branch

From: Simon Streit <[email-masked]>
Date: Thu, 04 Apr 2024 14:57:53 +0200

Hello John,

John Kehayias via Guix-patches via <[email-masked]> writes:

> I submitted a bunch of patches to mesa-updates a few days ago. From
> what I can tell things have gone well on x86_64, with most of the
> "new" failures listed are compared to previous mesa-updates and are
> ones broken on master too. A few failed from some time issue on hydra
> 128. And a few were legitimate failures which I have fixed. I'll go
> through again and make sure I didn't miss anything. I've been using
> this branch locally for a few things without issues so far.

I've rolled out the branch on an old machine and it is looking all good
here.  The current mesa update also fixes an issue where rendering is
broken with GTK4 applications in Gnome on master.

Kind regards,

-- 
Simon